{% extends "common/base.html" %}
{% load bootstrap4 %}
{% load i18n %}
{% load rich_text %}
{% load static %}
{% block title %}{{ title }} :: {% endblock %}

{% block custom_header %}
    <link rel="stylesheet" type="text/css" href="{% static "pretalx_roompref/roompref.css" %}" />
{% endblock %}


{% block content %}
    <div class="returntocfp">
        {% if request.event.cfp.is_open %}
            <a class="btn btn-info btn-block" href="{{ request.event.cfp.urls.public }}{{ submit_qs }}">
                {% translate "Go to CfP" %}
            </a>
        {% endif %}
    </div>
    <p>{% trans text %} {{ request.event.name }}.</p>
    <div id="roomlist">
        <div id="accordion">
        {% for room in request.event.rooms.all %}
            <article class="room card">
                <div class="card-header room-head" id="heading{{ forloop.counter }}">
                    <button class="btn btn-link" data-toggle="collapse" data-target="#collapse{{ forloop.counter }}" aria-expanded="true" aria-controls="collapseOne">
                        <h5 class="col-sm-10">{{ room.name }}</h5>
                        <p class="badge badge-pill badge-light">{{ room.capacity }} {% trans "persons" %}</p>
                    </button>
                </div>
                <div id="collapse{{ forloop.counter }}" class="collapse" aria-labelledby="heading{{ forloop.counter }}" data-parent="#accordion">
                  <div class="card-body room-descr">
                      {{ room.description|rich_text }}
                      <h6 class="room-speaker-info">{% trans "To know" %}</h6>
                      {{ room.speaker_info|rich_text }}
                  </div>
                </div>
            </article>
        
        {% empty %}
        <p>{% trans "No room for now..." %}</p>
        
        {% endfor %}
        </div>
    </div>
{% endblock %}
